%define debug_package %{nil}

Name:           bacula-docs
Version:        7.0.5
Release:        1%{?dist}
Summary:        Bacula documentation
License:        GPLv2 with exceptions
Group:          Documentation
URL:            http://www.bacula.org
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Upstream has stopped generating tarballs for docs in 7.0.3. To generate:
# git clone http://git.bacula.org/docs
# cd docs
# git checkout tags/Release-7.0.5
# cp -fr docs ../bacula-docs-7.0.5
# cd ..
# rm -fr bacula-docs-7.0.5/{home-page,presentations,techlogs}
# tar -cJf bacula-docs-7.0.5 bacula-docs-7.0.5.tar.xz
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  ghostscript
BuildRequires:  inkscape
BuildRequires:  latex2html
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(HTML::TreeBuilder)

%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  tex(multirow.sty)
%endif

Provides:       bacula-docs = %{version}-%{release}
Obsoletes:      bacula-docs < 5.2.2-4

%description
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the documentation for most of the Bacula packages.

%prep
%setup -q

%build
%if 0%{?rhel} == 5
make web
make clean
%else
make
%endif

mkdir result
for manual in console developers main misc problems utility; do
    mkdir result/$manual
    cp -f manuals/en/pdf-and-html/$manual/*.html result/$manual
%if 0%{?fedora} || 0%{?rhel} >= 7
    cp -f manuals/en/pdf-and-html/$manual/*.pdf result/.
%endif
done
cp -fra manuals/en/pdf-and-html/images result/.

%install

%files
%defattr(-,root,root,-)
%doc result/*

%changelog
* Thu Jul 31 2014 Simone Caronni <negativo17@gmail.com> - 7.0.5-1
- Update to 7.0.5, generate tarballs manually.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 15 2014 Simone Caronni <negativo17@gmail.com> - 7.0.3-1
- Update to 7.0.3.

* Thu Apr 03 2014 Simone Caronni <negativo17@gmail.com> - 7.0.2-3
- Simplify build requirements.

* Thu Apr 03 2014 Simone Caronni <negativo17@gmail.com> - 7.0.2-2
- Generate only HTML documentation on RHEL 5.

* Thu Apr 03 2014 Simone Caronni <negativo17@gmail.com> - 7.0.2-1
- Update to 7.0.2.

* Tue Apr 01 2014 Simone Caronni <negativo17@gmail.com> - 7.0.1-3
- Add git patch for missing TeX Live file.
- Update all requirements to the new TeX Live format, fix pdf build on epel7.

* Tue Apr 01 2014 Simone Caronni <negativo17@gmail.com> - 7.0.1-2
- Until texlive is updated, do not require texlive (fixes build on epel7).

* Tue Apr 01 2014 Simone Caronni <negativo17@gmail.com> - 7.0.1-1
- Update to 7.0.1.
- Remove bacula-devel requirement.

* Sun Mar 30 2014 Simone Caronni <negativo17@gmail.com> - 7.0.0-1
- Update to 7.0.0, rework spec file completely for new build system.
- Momentarily disable pdf building for missing atxy.sty in Fedora.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 19 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-3
- Add patch for aarch64 bug #925073.

* Thu Apr 04 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-2
- Bump release for Koji.

* Wed Feb 20 2013 Simone Caronni <negativo17@gmail.com> - 5.2.13-1
- Updated to 5.2.13.
- Format spec file.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 14 2012 Simone Caronni <negativo17@gmail.com> - 5.2.12-1
- Updated to 5.2.12.

* Tue Sep 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.11-1
- Updated to 5.2.11.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Simone Caronni <negativo17@gmail.com> - 5.2.10-1
- Updated to 5.2.10.

* Tue Jun 12 2012 Simone Caronni <negativo17@gmail.com> - 5.2.9-1
- Updated to 5.2.9.

* Mon Jun 11 2012 Simone Caronni <negativo17@gmail.com> - 5.2.8-1
- Updated to 5.2.8.

* Mon Jun 04 2012 Simone Caronni <negativo17@gmail.com> - 5.2.7-1
- Updated to 5.2.7.
- Replaced tabs with blanks in spec file (rpmlint).

* Mon May 21 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-3
- Removed __make macro.

* Mon May 21 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-2
- Removed latex2html conditional for RHEL 4 (EOL).

* Wed Feb 22 2012 Simone Caronni <negativo17@gmail.com> - 5.2.6-1
- Update to 5.2.6.

* Thu Jan 26 2012 Simone Caronni <negativo17@gmail.com> - 5.2.5-1
- Update.

* Wed Jan 18 2012 Simone Caronni <negativo17@gmail.com> - 5.2.4-1
- Update and require bacula-devel correct version.

* Sun Jan 15 2012 Simone Caronni <negativo17@gmail.com> - 5.2.3-8
- Make the noarch package update the architecture specific one.
 
* Thu Jan 05 2012 Simone Caronni <negativo17@gmail.com> - 5.2.3-7
- First build.
